%define name	bidwatcher
%define version 1.3.17
%define release %mkrel 7

Name:		%{name}
Summary:	Tools to manage e-bay auctions
Version:	%{version}
Release:	%{release}
Source:		http://prdownloads.sourceforge.net/bidwatcher/%{name}-%{version}.tar.bz2
Url:		http://bidwatcher.sourceforge.net
Group:		Networking/Other
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	gtk+-devel >= 1.2
BuildRequires:  curl-devel
License:	GPL

%description
Bidwatcher is a tool for eBay users (eBay is a giant internet auction site, if
you don't know that I'm not sure why you're reading this :-) ).  It is a
stand alone application that can track auctions and perform automated bids
called 'snipes'.  For more information see http://bidwatcher.sourceforge.net

%prep
%setup -q 

%build
%configure
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

# menu

mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/mandriva-%{name}.desktop << EOF
[Desktop Entry]
Name=%{name}
Comment=Tool for eBay users
Exec=%{_bindir}/%{name} 
Icon=%{name}
Terminal=false
Type=Application
Categories=X-MandrivaLinux-MoreApplications-Finances;Office;Finance;
EOF

%post
%update_menus

%postun
%clean_menus

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,0755)
%doc README INSTALL NEWS COPYING AUTHORS
%{_bindir}/*
%{_mandir}/man1/*
%{_datadir}/applications/mandriva-%{name}.desktop




%changelog
* Mon Feb 18 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.3.17-7mdv2008.1
+ Revision: 170776
- rebuild
- drop old menu

* Thu Dec 20 2007 Olivier Blin <oblin@mandriva.com> 1.3.17-6mdv2008.1
+ Revision: 135829
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request


* Wed Feb 28 2007 Lenny Cartier <lenny@mandriva.com> 1.3.17-6mdv2007.0
+ Revision: 127211
- Rebuild for dependencies

  + Nicolas Lécureuil <neoclust@mandriva.org>
    - Rebuild against new curl
    - Import bidwatcher

* Tue Sep 05 2006 Nicolas Lcureuil <neoclust@mandriva.org> 1.3.17-4mdv2007.0
- XDG

* Sun May 14 2006 Emmanuel Andry <eandry@mandriva.org> 1.3.17-3mdk
- Rebuild

* Fri Sep 09 2005 Nicolas Lcureuil <neoclust@mandriva.org> 1.3.17-2mdk
- Fix BuildRequires

* Fri Sep 09 2005 Nicolas Lcureuil <neoclust@mandriva.org> 1.3.17-2mdk
- Fix BuildRequires

* Sat May 28 2005 Nicolas Lcureuil <neoclust@mandriva.org> 1.3.17-1mdk
- New release 1.3.17

* Thu Sep 02 2004 Lenny Cartier <lenny@mandrakesoft.com> 1.3.16-1mdk
- 1.3.16

* Wed Jun 16 2004 Lenny Cartier <lenny@mandrakesoft.com> 1.3.15-1mdk
- 1.3.15

* Tue Mar 02 2004 Lenny Cartier <lenny@mandrakesoft.com> 1.3.13-1mdk
- 1.3.13

